Skip to main content
GET
/
api
/
v1
/
openclaw
/
youtube
/
channel
/
videos
Channel Videos
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/channel/videos \
  --header 'Authorization: Bearer <token>'

Parameters

channelId
string
YouTube channel ID (e.g., UC-9-kyTW8ZkZNDHQJ6FgpwQ)
handle
string
YouTube channel handle (e.g., ThePatMcAfeeShow)
sort
string
Sort by latest or popular (e.g., latest) Available options: latest, popular
continuationToken
string
Continuation token to get more videos. Get ‘continuationToken’ from previous response. (e.g., 4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB)
includeExtras
string
This will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. This will slow down the response slightly. (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/channel/videos" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "videos": [
      {
        "type": "video",
        "id": "5EWaxmWgQMI",
        "url": "https://www.youtube.com/watch?v=5EWaxmWgQMI",
        "title": "Russell Wilson Hopes To Finish Career As A Steeler...",
        "thumbnail": "...",
        "viewCountInt": 110447,
        "publishedTimeText": "9 days ago",
        "lengthText": "37:25",
        "lengthSeconds": 2245
      }
    ],
    "continuationToken": "4qmFsgLlFhIYV...."
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "channel-videos",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.

Note

Rates and quotas may apply based on your Yoinkit subscription.